commit:     f9d0518e8c7c8f403b9916f1f64b968dce24ad44
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed May 16 14:37:48 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 16 14:39:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9d0518e

sys-libs/ldb: Bump to version 1.2.3

Closes: https://bugs.gentoo.org/655868
Package-Manager: Portage-2.3.36, Repoman-2.3.9

 sys-libs/ldb/Manifest                             |   1 +
 sys-libs/ldb/files/ldb-1.2.3-disable_python.patch |  64 ++++++++++++++
 sys-libs/ldb/ldb-1.2.3.ebuild                     | 103 ++++++++++++++++++++++
 3 files changed, 168 insertions(+)

diff --git a/sys-libs/ldb/Manifest b/sys-libs/ldb/Manifest
index 1edfd3e1bc0..871947eabf4 100644
--- a/sys-libs/ldb/Manifest
+++ b/sys-libs/ldb/Manifest
@@ -2,5 +2,6 @@ DIST ldb-1.1.26.tar.gz 1262660 BLAKE2B 
66dcc38eb97fe4357d06b301ed1de5cf868adc5f3
 DIST ldb-1.1.29.tar.gz 1277551 BLAKE2B 
449333d40073fd63d6d013ba0ae43fc3a0b8201948eabd440d164d182492002c1d92047d652105c2fb6a3e8383d4b75f45e38cc52efc5d9a0e2811113676203a
 SHA512 
d37bbe84358e05d17483e2e963b8477da5ea351b855b454142c94af35f7987bede0f19faeaff17779efe04e3bb37c510437fcc59be99a17c826620fc25fd659c
 DIST ldb-1.1.31.tar.gz 1337586 BLAKE2B 
9454f91a621368cfc7cfdb709781653e947d63b275bb3b288049acb43ee3c02ae4f0be820ccf9e3bb32938d12598a91b7a6292b08c638ccfd59bd1be182f09c0
 SHA512 
49ccd57000cbcc6d828160f4457236b28853d766d641841471f61226156b6103fe563c43c950577b038ea3c0a54506bca94c640d3d5f912a3b8af95eb9ef2824
 DIST ldb-1.2.2.tar.gz 1348041 BLAKE2B 
14521bbe1826af003a98d11d6fcaff115e27f81b98aba0369ddd1224e1d1c996a4d4662e816ac4384ddc8b63cd63ce0a0aef95e0f3fe6187e557e2488dbe39e3
 SHA512 
7d9bd88c6a654967f092758146a8115ab6c66db69a8be269a1f536f0aa3b27fb0d2ea3848cd952ef0f1885c9c4d8b76940f9902b835fe3f79f86b22a4350129b
+DIST ldb-1.2.3.tar.gz 1344513 BLAKE2B 
941174d6e2c51319c8690a8d8a87bea443d4fa4d738bd13243b502fdc9d590ba075fcf4a9920c38bb6fc15564f0b116089cd62d99e7cfe33649dc751910265ad
 SHA512 
500ab069cf6cec39907300e3905d334163b5094087831708acc22c4199b006ef52af3b66aade7558a48fab7cd69be3af7883bda3816a83c576d01b36ab270247
 DIST ldb-1.3.2.tar.gz 1364976 BLAKE2B 
9bffe690a3bb7f2d5d6cb6340e212140409cd86c2148a78200b1bfe39e08ea410a8966655bff9baf280ee8f94fafc8502968312084a9629acab4c9c1f653d37f
 SHA512 
31b29a2a991038910830cb47b02b7f08e1958638d073d5f1602a2657c4005c7e5f5f2c2f7972eeddef462d8c70aaad7f02ddf901cb50f1b1bbafa0c22498973d
 DIST ldb-1.3.3.tar.gz 1370823 BLAKE2B 
1e00dca5cc66fc8677334e79d4e36efebad516775116ac0f06884a08197f9589056acc5bc377d6317dfd67926cb6bccbdfe18e1d259875cda4dde86251779fd5
 SHA512 
ad272a1fd82d5138d9a056c1d81cfcd6167886719852b41447b9e6fb6acd926b137fd76e16f476d68bc0991943142ea1482666dc48155e9a1ef09f13b041c350

diff --git a/sys-libs/ldb/files/ldb-1.2.3-disable_python.patch 
b/sys-libs/ldb/files/ldb-1.2.3-disable_python.patch
new file mode 100644
index 00000000000..133e2acf312
--- /dev/null
+++ b/sys-libs/ldb/files/ldb-1.2.3-disable_python.patch
@@ -0,0 +1,64 @@
+Revert talloc/wscript to the one from ldb-1.2.2
+
+--- ldb-1.2.3/lib/talloc/wscript
++++ ldb-1.2.3/lib/talloc/wscript
+@@ -1,7 +1,7 @@
+ #!/usr/bin/env python
+ 
+ APPNAME = 'talloc'
+-VERSION = '2.1.9'
++VERSION = '2.1.10'
+ 
+ 
+ blddir = 'bin'
+@@ -74,19 +74,22 @@
+                                      implied_deps='replace'):
+             conf.define('USING_SYSTEM_TALLOC', 1)
+ 
+-        using_system_pytalloc_util = True
+-        if not conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', 
minversion=VERSION,
+-                                             implied_deps='talloc replace'):
++        if conf.env.disable_python:
+             using_system_pytalloc_util = False
+-
+-        # We need to get a pytalloc-util for all the python versions
+-        # we are building for
+-        if conf.env['EXTRA_PYTHON']:
+-            name = 'pytalloc-util' + 
conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
+-            if not conf.CHECK_BUNDLED_SYSTEM_PKG(name, minversion=VERSION,
++        else:
++            using_system_pytalloc_util = True
++            if not conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', 
minversion=VERSION,
+                                                  implied_deps='talloc 
replace'):
+                 using_system_pytalloc_util = False
+ 
++            # We need to get a pytalloc-util for all the python versions
++            # we are building for
++            if conf.env['EXTRA_PYTHON']:
++                name = 'pytalloc-util' + 
conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
++                if not conf.CHECK_BUNDLED_SYSTEM_PKG(name, minversion=VERSION,
++                                                     implied_deps='talloc 
replace'):
++                    using_system_pytalloc_util = False
++
+         if using_system_pytalloc_util:
+             conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)
+ 
+@@ -171,12 +174,18 @@
+ def test(ctx):
+     '''run talloc testsuite'''
+     import Utils, samba_utils
++
++    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared')
++    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared/private')
++
+     cmd = os.path.join(Utils.g_module.blddir, 'talloc_testsuite')
+     ret = samba_utils.RUN_COMMAND(cmd)
+     print("testsuite returned %d" % ret)
+     magic_helper_cmd = os.path.join(Utils.g_module.blddir, 
'talloc_test_magic_differs_helper')
+     magic_cmd = os.path.join(srcdir, 'lib', 'talloc',
+                              'test_magic_differs.sh')
++    if not os.path.exists(magic_cmd):
++        magic_cmd = os.path.join(srcdir, 'test_magic_differs.sh')
+ 
+     magic_ret = samba_utils.RUN_COMMAND(magic_cmd + " " +  magic_helper_cmd)
+     print("magic differs test returned %d" % magic_ret)

diff --git a/sys-libs/ldb/ldb-1.2.3.ebuild b/sys-libs/ldb/ldb-1.2.3.ebuild
new file mode 100644
index 00000000000..2da9d45555d
--- /dev/null
+++ b/sys-libs/ldb/ldb-1.2.3.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 waf-utils multilib-minimal eutils
+
+DESCRIPTION="An LDAP-like embedded database"
+HOMEPAGE="https://ldb.samba.org/";
+SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc +ldap +python"
+
+RDEPEND="!elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+       dev-libs/popt[${MULTILIB_USEDEP}]
+       >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
+       >=sys-libs/talloc-2.1.10[python?,${MULTILIB_USEDEP}]
+       >=sys-libs/tevent-0.9.33[python(+)?,${MULTILIB_USEDEP}]
+       >=sys-libs/tdb-1.3.15[python?,${MULTILIB_USEDEP}]
+       python? ( ${PYTHON_DEPS} )
+       ldap? ( net-nds/openldap )
+"
+
+DEPEND="dev-libs/libxslt
+       doc? ( app-doc/doxygen )
+       virtual/pkgconfig
+       ${PYTHON_DEPS}
+       ${RDEPEND}
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.1.31-optional_packages.patch
+       "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
+       "${FILESDIR}"/${PN}-1.2.3-disable_python.patch
+)
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local myconf=(
+               $(usex ldap '' --disable-ldap)
+               --disable-rpath
+               --disable-rpath-install --bundled-libraries=NONE
+               --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
+               --builtin-libraries=NONE
+       )
+       if ! multilib_is_native_abi; then
+               myconf+=( --disable-python )
+       else
+               use python || myconf+=( --disable-python )
+       fi
+       waf-utils_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile(){
+       waf-utils_src_compile
+       multilib_is_native_abi && use doc && doxygen Doxyfile
+}
+
+multilib_src_test() {
+       if multilib_is_native_abi; then
+               WAF_MAKE=1 \
+               
PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/
 \
+               
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared
 \
+               waf test || die
+       fi
+}
+
+multilib_src_install() {
+       waf-utils_src_install
+
+       if multilib_is_native_abi && use doc; then
+               doman  apidocs/man/man3/*.3
+               docinto html
+               dodoc -r apidocs/html/*
+       fi
+}
+
+pkg_postinst() {
+       if has_version sys-auth/sssd; then
+               ewarn "You have sssd installed. It is known to break after ldb 
upgrades,"
+               ewarn "so please try to rebuild it before reporting bugs."
+               ewarn "See https://bugs.gentoo.org/404281";
+       fi
+}

Reply via email to